Article ID: 000091310 Content Type: Error Messages Last Reviewed: 12/14/2022

Error: "There is a problem with your graphics card. Please ensure that your card meets the minimum system requirements and you have the latest drivers installed" in Epic Games Launcher

Environment

CPU: Intel® Core™ i7-11700 Processor Integrated GPU: Intel® UHD Graphics 750 - Driver installed: 27.20.100.9664 Discrete GPU: NVIDIA GeForce RTX 3060 Ti - Driver installed: 30.0.15.1277

Windows 11* Family, Windows® 10 family

BUILT IN - ARTICLE INTRO SECOND COMPONENT
Summary

Information and guidance on how to solve Epic Games launcher error during startup.

Description

When Epic Games launcher is being initialized during the startup of the computer, the following message pops up: "There is a problem with your graphics card. Please ensure that your card meets the minimum system requirements and you have the latest drivers installed"

Intel® HD Graphics is too low after Epic Games launcher is updated from version 4.27 to version 5.1.0.

Resolution

This issue can appear for two reasons:

  1. The system doesn't meet the minimum requirements for the Epic Games Launcher. For further information check the system requirements for the Epic Games Launcher provided by Epic.
  2. The graphics card has an older driver version installed that it's not supported by Epic Games Launcher. If this is the case install the latest drivers for your Intel graphics card from our Download Center.

If there is a discrete graphics card installed on your system, make sure to have the latest driver installed provided by the original equipment manufacturer of the graphics card.

Related Products

This article applies to 106 products